Bug 958426 - 19 Final TC1 x86_64 Desktop Live is oversized (larger than 1 GB)
Summary: 19 Final TC1 x86_64 Desktop Live is oversized (larger than 1 GB)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: AcceptedBlocker
Depends On: 960146 963027 972328 977099 977101 977103 977105 977106 977107
Blocks: F19Blocker, F19FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2013-05-01 12:48 UTC by Andre Robatino
Modified: 2013-06-28 07:16 UTC (History)
10 users (show)

Fixed In Version: spin-kickstarts-0.19.8-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-28 07:16:31 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 977119 unspecified CLOSED Consider splitting /usr/bin/js and libmozjs to separate subpackages 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 977764 unspecified CLOSED missing gnu-free fonts cause warnings when anaconda is run 2020-10-14 00:28:05 UTC

Internal Links: 977119 977764

Description Andre Robatino 2013-05-01 12:48:55 UTC
Description of problem:

Fedora-Live-Desktop-i686-19-Beta-TC1-1.iso : 1,003,487,232 bytes (1.003 GB)
Fedora-Live-Desktop-x86_64-19-Beta-TC1-1.iso : 1,038,090,240 bytes (1.038 GB)

As indicated at https://fedoraproject.org/wiki/QA:Testcase_Mediakit_ISO_Size and https://fedoraproject.org/wiki/Releases/19/Spins , the size limit is 1,000,000,000 bytes = 1 GB.

Version-Release number of selected component (if applicable):
19 Beta TC1

Comment 1 Andre Robatino 2013-05-01 12:49:51 UTC
Automatic Blocker by https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers : "Any release-blocking Beta or Final TC/RC image exceeding its target size (failures of QA:Testcase_Mediakit_ISO_Size) "

Comment 2 Andre Robatino 2013-05-02 00:56:32 UTC
Still oversized in 19 Beta TC2.

Fedora-Live-Desktop-i686-19-Beta-TC2-1.iso : 1,003,487,232 bytes (1.003 GB)
Fedora-Live-Desktop-x86_64-19-Beta-TC2-1.iso : 1,038,090,240 bytes (1.038 GB)

Comment 3 Andre Robatino 2013-05-04 05:17:47 UTC
Still oversized in 19 Beta TC3.

Fedora-Live-Desktop-i686-19-Beta-TC3-1.iso : 1,003,487,232 bytes (1.003 GB)
Fedora-Live-Desktop-x86_64-19-Beta-TC3-1.iso : 1,039,138,816 bytes (1.039 GB)

Comment 4 Adam Williamson 2013-05-08 17:44:56 UTC
Setting to MODIFIED - mclasen made a bunch of changes that he has tested to save 100+MB, so TC4 should come out comfortably undersize.

Comment 5 Andre Robatino 2013-05-10 18:42:29 UTC
Still oversized in 19 Beta TC4.

Fedora-Live-Desktop-i686-19-Beta-TC4-1.iso : 1,000,341,504 bytes (1.0003 GB)
Fedora-Live-Desktop-x86_64-19-Beta-TC4-1.iso : 1,035,993,088 bytes (1.036 GB)

Comment 7 Adam Williamson 2013-05-14 22:05:47 UTC
So as a progress report, I did a build this morning which used everything from stable, plus the 3.8.2 mega-update and the following builds:

https://admin.fedoraproject.org/updates/FEDORA-2013-7885/file-roller-3.8.1-4.fc19
https://admin.fedoraproject.org/updates/FEDORA-2013-7900/frei0r-plugins-1.3-10.fc19
https://admin.fedoraproject.org/updates/FEDORA-2013-7880/libreport-2.1.4-5.fc19
https://admin.fedoraproject.org/updates/FEDORA-2013-7978/librsvg2-2.37.0-3.fc19
https://admin.fedoraproject.org/updates/FEDORA-2013-7890/selinux-policy-3.12.1-44.fc19,policycoreutils-2.1.14-40.fc19

We should pull all those in to TC5/RC1 as applying to this bug, note. That build came out:

1004535808 May 14 11:49 20130514-desktop-x86_64.iso

so still just barely over size. Assuming an 'official' compose matches mine, we still need to find another 5MB.

Comment 8 Matthias Clasen 2013-05-14 22:22:08 UTC
here are a few more fat-trimming proposals:

https://bugzilla.redhat.com/show_bug.cgi?id=962004
https://bugzilla.redhat.com/show_bug.cgi?id=962019

Comment 9 Kalev Lember 2013-05-14 22:58:37 UTC
One more proposal that would reduce the media size by 11.5 MB:

https://bugzilla.redhat.com/show_bug.cgi?id=962021

Comment 13 Andre Robatino 2013-05-16 05:33:17 UTC
In 19 Beta RC1, 64-bit is oversized, but 32-bit is not.

Fedora-Live-Desktop-i686-19-Beta-1.iso : 970,981,376 bytes (0.971 GB)
Fedora-Live-Desktop-x86_64-19-Beta-1.iso : 1,006,632,960 bytes (1.007 GB)

Comment 14 Adam Williamson 2013-05-16 21:24:43 UTC
Note to self: I missed https://admin.fedoraproject.org/updates/FEDORA-2013-8108/brltty-4.5-5.fc19 out of RC1, add it for RC2.

Comment 15 Andre Robatino 2013-05-17 06:45:41 UTC
Fixed (barely) in 19 Beta RC2.

Fedora-Live-Desktop-i686-19-Beta-1.iso : 961,544,192 bytes (0.961 GB)
Fedora-Live-Desktop-x86_64-19-Beta-1.iso : 996,147,200 bytes (0.996 GB)

Comment 16 Adam Williamson 2013-05-17 06:52:11 UTC
now don't nobody breathe on *anything*.

Comment 17 Adam Williamson 2013-05-17 16:09:50 UTC
Re-opening as we need to push all the updates stable.

Comment 18 Adam Williamson 2013-05-22 02:31:49 UTC
I'm pretty sure all relevant updates are now stable. As long as RC3 remains under-size, we can close this.

Comment 19 Adam Williamson 2013-05-22 04:39:57 UTC
RC3 is still under-size. Closing.

Comment 20 Andre Robatino 2013-06-04 20:05:52 UTC
64-bit is oversized in 19 Final TC1.

Fedora-Live-Desktop-i686-19-TC1-1.iso : 977,272,832 bytes (0.977 GB)
Fedora-Live-Desktop-x86_64-19-TC1-1.iso : 1,012,924,416 bytes (1.013 GB)

Comment 21 Kalev Lember 2013-06-04 21:15:01 UTC
Added packages, compared to F19 Beta:

size | name
-----------
4009525 mozjs17
3766815 libmwaw
3350958 libreswan
2417468 libreoffice-pyuno
385115 ibus-pygtk2
327254 libodfgen
203951 ibus-setup
132056 pkcs11-helper
82465 polkit-pkla-compat
57284 libreoffice-emailmerge
32341 mesa-libwayland-egl
29175 mesa-filesystem

Removed packages:
checkpolicy
dialog
m4
mesa-dri-filesystem
openswan
policycoreutils-devel
polkit-js-engine
selinux-policy-devel
tboot

Comment 22 Caolan McNamara 2013-06-07 12:10:15 UTC
If it helps, re libreoffice-pyuno and libreoffice-emailmerge they were added via commit 35e5abb40d013d53021f8dfefab62251ed0a3637 in comps to make the mail-merge default installed from https://bugzilla.redhat.com/show_bug.cgi?id=967165

Comment 23 Matthias Clasen 2013-06-07 17:18:13 UTC
ok, I'll exclude those in the kickstart file. Will that also get rid of libmwaw ?
I guess we'll find out

Comment 24 Andre Robatino 2013-06-07 17:20:28 UTC
64-bit is still oversized in 19 Final TC2.

Fedora-Live-Desktop-i686-19-TC2-1.iso : 978,321,408 bytes (0.978 GB)
Fedora-Live-Desktop-x86_64-19-TC2-1.iso : 1,011,875,840 bytes (1.012 GB)

Comment 25 Caolan McNamara 2013-06-07 19:50:29 UTC
it'll have no effect on libmwaw which remains linked to (provides a bunch of file format import support)

Comment 26 Matthias Clasen 2013-06-11 15:03:47 UTC
still too large :-(

Comment 27 Andre Robatino 2013-06-13 06:38:48 UTC
64-bit is still oversized in 19 Final TC3.

Fedora-Live-Desktop-i686-19-TC3-1.iso : 986,710,016 bytes (0.987 GB)
Fedora-Live-Desktop-x86_64-19-TC3-1.iso : 1,020,264,448 bytes (1.02 GB)

Comment 28 Andre Robatino 2013-06-18 03:27:38 UTC
64-bit is still oversized in 19 Final TC5. There were no Live TC4 images.

Fedora-Live-Desktop-i686-19-TC5-1.iso : 987,758,592 bytes (0.988 GB)
Fedora-Live-Desktop-x86_64-19-TC5-1.iso : 1,020,264,448 bytes (1.02 GB)

Comment 29 Kalev Lember 2013-06-19 06:55:46 UTC
F19 Beta vs F19 Final TC5.

Added packages:

size | name
-----------
10516025 gnome-weather
4009541 mozjs17
3766815 libmwaw
3350958 libreswan
327254 libodfgen
266682 langtable-data
266682 langtable-data
265663 sil-mingzat-fonts
132056 pkcs11-helper
92650 langtable
82465 polkit-pkla-compat
82203 langtable-python
82203 langtable-python
32341 mesa-libwayland-egl
32261 openrdate
29175 mesa-filesystem
11312 harfbuzz-icu

Removed packages:

checkpolicy
dialog
imsettings
imsettings-gsettings
imsettings-libs
lftp
m4
mesa-dri-filesystem
openswan
policycoreutils-devel
polkit-js-engine
rdate
selinux-policy-devel
talk
tboot
tcpdump

Comment 30 Andre Robatino 2013-06-20 08:08:28 UTC
64-bit is still oversized in 19 Final TC6.

Fedora-Live-Desktop-i686-19-TC6-1.iso : 986,710,016 bytes (0.987 GB)
Fedora-Live-Desktop-x86_64-19-TC6-1.iso : 1,021,313,024 bytes (1.021 GB)

Comment 31 Kamil Páral 2013-06-20 09:51:39 UTC
Matthias tried to drop brasero and nautilus-brasero yesterday in the kickstart, but TC6 still contains it. Created with a non-updated spin-kickstarts?

I think the prime candidate for removal is gnome-boxes. The audience is very limited - general users don't usually use virtualized systems, and the experienced users are likely use different tools anyway. And it's taking a lot of space. After blacklisting gnome-boxes, the x86_64 Live size is 994,050,048 bytes.

Actually I believe that brasero is (much) more useful for general audience than gnome-boxes, despite the decline of optical media.

Comment 32 Adam Williamson 2013-06-20 23:32:01 UTC
"Created with a non-updated spin-kickstarts?"

Possible, I think Dennis said I have to specifically request the latest s-k if it's important; I should've checked and found that change, apologies.

Comment 33 Adam Williamson 2013-06-20 23:32:46 UTC
"The audience is very limited - general users don't usually use virtualized systems, and the experienced users are likely use different tools anyway."

Well, I think part of the *aim* of Boxes is to try and address both of those things, and it's a bit hard for it to do that if it's not pre-installed.

Comment 34 drago01 2013-06-21 21:33:16 UTC
(In reply to Kamil Páral from comment #31)
> Matthias tried to drop brasero and nautilus-brasero yesterday in the
> kickstart, but TC6 still contains it. Created with a non-updated
> spin-kickstarts?
> 
> I think the prime candidate for removal is gnome-boxes. The audience is very
> limited - general users don't usually use virtualized systems, and the
> experienced users are likely use different tools anyway. And it's taking a
> lot of space. After blacklisting gnome-boxes, the x86_64 Live size is
> 994,050,048 bytes.
> 
> Actually I believe that brasero is (much) more useful for general audience
> than gnome-boxes, despite the decline of optical media.

I don't think it is worth dropping either to save a few MBs. We are not using CDs any more and finding a usb key that can hold more then one GB is easier than one that can't.

I don't understand all the fuss about the non issue (neither why this is a blocker).

So how about just closing it?

Comment 35 Colin Walters 2013-06-21 21:35:20 UTC
+1 for excluding Boxes from me, FWIW.  Given a common installation target is VMs, even if nested virt worked, it's just not a good default.  On live media also you really can't create local VMs and expect that to work.  It's a post-install thing.

A lot of this, really is just due to lack of an application installer...

Comment 36 Adam Williamson 2013-06-21 21:36:54 UTC
drago01: you can't just close it without doing anything else. The release-blocking images *must* meet their declared size targets. It is a release requirement.

You could change the size target for the desktop live, of course. We don't give out style points. ;) I don't know if there's a restriction about when you're allowed to do that on the 'spins' side, I am not totally familiar with that process.

Comment 37 Matthias Clasen 2013-06-21 23:08:06 UTC
no, dropping boxes is not an option.

Comment 39 Adam Williamson 2013-06-23 07:41:10 UTC
So here's some results.

f2e707287dd82cccb05a3fef6b75cb356744ca58 (Jun 14), no update: 1019215872
f2e707287dd82cccb05a3fef6b75cb356744ca58 (Jun 14), update: 1017118720
1a0c28fdf638796bda60ed2785f95eac16a85b65 (Jun 22), update: 1005584384

that is, with the old spin-kickstarts and without the above update, we're 19215872 bytes oversize; with the update but old spin-kickstarts, we're 17118720 bytes oversize (the update saves ~2.1MB); and with the update and latest spin-kickstarts, we're 5584384 bytes oversize (the kickstart changes save ~11.5MB). We still need to find another 5.6MB from somewhere.

Comment 40 Kalev Lember 2013-06-23 17:12:39 UTC
One more possible cut, but I am unsure how safe it would be to take it at this point: https://bugzilla.redhat.com/show_bug.cgi?id=977119

Comment 42 Adam Williamson 2013-06-24 19:36:10 UTC
996147200 Jun 24 12:22 20130624-desktop-x86_64.iso

that's with the same package set as my third build in c#39, but with spin-kickstarts d4edc3b5a610d0abb5c8c42e96af124bf3f4e70e . looks like we can stop cutting now and we don't need to take any updates beyond the big one in c#38. We *may* even be able to get away without taking that one and still sneak under 1GB. perhaps we should try that for the next build.

Comment 43 Kalev Lember 2013-06-24 19:52:58 UTC
(In reply to Adam Williamson from comment #42)
> looks like we can stop cutting now and we don't need to take any updates beyond the big one in c#38. We *may* even be able to get away without taking that one and still sneak under 1GB. perhaps we should try that for the next build.

Or take all the doc-removal fixes we have so far (comment #38 and comment #41), and if that leaves enough free space, could maybe add back some of the apps that got cut out?

from fedora-livecd-desktop.ks:

# These things are cut purely for space reasons
-aisleriot
-brasero
-brasero-nautilus
-bijiben
-gnome-system-log
-deja-dup
-eog
-gnu-free-mono-fonts
-gnu-free-sans-fonts
-gnu-free-serif-fonts

Comment 44 Adam Williamson 2013-06-24 20:05:40 UTC
that's possible, I'll try and do some more tests before filing next compose request.

Comment 45 Adam Williamson 2013-06-24 20:42:49 UTC
A build with slightly updated package set (for remaining FE/blocker issues) and the updated sane-backends actually comes out *bigger*:

997195776 Jun 24 13:41 20130624-desktop_b-x86_64.iso

may be to do with the updates, or just live compose process weirdness. That looks like our current state-of-the-art. I'm not sure 2.9MB is enough to fit anything back in, but I'll try.

Comment 46 Adam Williamson 2013-06-24 20:58:04 UTC
1001390080 Jun 24 13:53 20130624-desktop_b-x86_64.iso <--- that's current everything, inc. c#38 and c#41, with deja-dup added back. so not quite enough room :(

Comment 47 Andre Robatino 2013-06-25 06:14:56 UTC
Both images are with size limit in 19 Final RC1.

Fedora-Live-Desktop-i686-19-1.iso : 962,592,768 bytes (0.963 GB)
Fedora-Live-Desktop-x86_64-19-1.iso : 996,147,200 bytes (0.996 GB)

Comment 48 Andre Robatino 2013-06-25 06:15:59 UTC
_Within_ size limit, I mean.

Comment 49 Adam Williamson 2013-06-25 06:17:01 UTC
Great. To close this we need to push at least https://admin.fedoraproject.org/updates/FEDORA-2013-11471 and https://admin.fedoraproject.org/updates/sane-backends-1.0.23-10.fc19 stable (they are in Final RC1 so must be pushed stable for consistency), I'll have to check if there was anything we put in an earlier TC that needs pushing.

Comment 50 Kamil Páral 2013-06-25 09:48:22 UTC
(In reply to Kalev Lember from comment #43)
> # These things are cut purely for space reasons
> -gnu-free-mono-fonts
> -gnu-free-sans-fonts
> -gnu-free-serif-fonts

This has caused bug 977764.

Comment 51 Adam Williamson 2013-06-26 04:36:55 UTC
For the record, I'm waiting till we have a spin-kickstarts package build to close all these bugs fixed in spin-kickstarts; seems like a good way to make sure we get a spin-kickstarts build for final.

Comment 52 Adam Williamson 2013-06-26 04:38:21 UTC
the two package updates have been pushed stable now, so just waiting on the s-k build.

Comment 53 Fedora Update System 2013-06-26 15:17:24 UTC
spin-kickstarts-0.19.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.19.7-1.fc19

Comment 54 Jeffrey C. Ollie 2013-06-26 20:49:27 UTC
This may be a litte late to the party, and not a whole lot of savings either, but I cut out the docs from babel...

https://admin.fedoraproject.org/updates/babel-0.9.6-8.fc19

Comment 55 Kalev Lember 2013-06-26 22:58:54 UTC
Thanks, this will definitely help F20.

Comment 56 Fedora Update System 2013-06-28 04:46:04 UTC
spin-kickstarts-0.19.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.19.8-1.fc19

Comment 57 Fedora Update System 2013-06-28 07:16:31 UTC
spin-kickstarts-0.19.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.